Bug 1008248 - [abrt] libreoffice-core-4.1.1.2-3.fc19: SwTxtAttrIterator::Next: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.1.2-3.fc19: SwTxtAttrIterator::Next: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:cea19fc538873fb18c4e760e877...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 19:20 EDT by Cheng-Chia Tseng
Modified: 2013-09-20 12:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.1.1.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 12:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.13 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: core_backtrace (28.56 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: dso_list (24.42 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: environ (1.81 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: maps (113.91 KB, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: open_fds (547 bytes, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details
File: var_log_messages (346 bytes, text/plain)
2013-09-15 19:20 EDT, Cheng-Chia Tseng
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69392 None None None Never

  None (edit)
Description Cheng-Chia Tseng 2013-09-15 19:20:12 EDT
Description of problem:
Chinese Conversion is a useful tool to convert between Traditional Chinese and Simplified Chinese, but it crashes within the 4 series.

Steps to reproduce:

1. Copy "臺灣 is Taiwan." and paste it to Writer
2. Select Tools > Language > Chinese Conversion, and press OK button.
3. Writer crashes

Chinese Conversion should work fine even when there are some Engilsh words in the text beside Chinese characters.

Version-Release number of selected component:
libreoffice-core-4.1.1.2-3.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/zerng07/%E4%B8%8B%E8%BC%89/test.odt --splash-pipe=5
crash_function: SwTxtAttrIterator::Next
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwTxtAttrIterator::Next at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/txtnode/txatritr.cxx:107
 #1 SwTxtNode::Convert at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/txtnode/txtedt.cxx:1148
 #2 SwDoc::Spell at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/doc/docedt.cxx:1908
 #3 SwConvIter::Continue at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/edit/edlingu.cxx:430
 #4 SwEditShell::SpellContinue at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/edit/edlingu.cxx:813
 #5 SwHHCWrapper::ConvContinue_impl at /usr/src/debug/libreoffice-4.1.1.2/sw/source/ui/lingu/hhcwrp.cxx:739
 #6 SwHHCWrapper::FindConvText_impl at /usr/src/debug/libreoffice-4.1.1.2/sw/source/ui/lingu/hhcwrp.cxx:697
 #7 SwHHCWrapper::GetNextPortion at /usr/src/debug/libreoffice-4.1.1.2/sw/source/ui/lingu/hhcwrp.cxx:177
 #8 editeng::HangulHanjaConversion_Impl::implRetrieveNextPortion at /usr/src/debug/libreoffice-4.1.1.2/editeng/source/misc/hangulhanja.cxx:477
 #9 editeng::HangulHanjaConversion_Impl::implNextConvertible at /usr/src/debug/libreoffice-4.1.1.2/editeng/source/misc/hangulhanja.cxx:506
Comment 1 Cheng-Chia Tseng 2013-09-15 19:20:16 EDT
Created attachment 798051 [details]
File: backtrace
Comment 2 Cheng-Chia Tseng 2013-09-15 19:20:19 EDT
Created attachment 798052 [details]
File: cgroup
Comment 3 Cheng-Chia Tseng 2013-09-15 19:20:22 EDT
Created attachment 798053 [details]
File: core_backtrace
Comment 4 Cheng-Chia Tseng 2013-09-15 19:20:26 EDT
Created attachment 798054 [details]
File: dso_list
Comment 5 Cheng-Chia Tseng 2013-09-15 19:20:29 EDT
Created attachment 798055 [details]
File: environ
Comment 6 Cheng-Chia Tseng 2013-09-15 19:20:31 EDT
Created attachment 798056 [details]
File: exploitable
Comment 7 Cheng-Chia Tseng 2013-09-15 19:20:34 EDT
Created attachment 798057 [details]
File: limits
Comment 8 Cheng-Chia Tseng 2013-09-15 19:20:38 EDT
Created attachment 798058 [details]
File: maps
Comment 9 Cheng-Chia Tseng 2013-09-15 19:20:40 EDT
Created attachment 798059 [details]
File: open_fds
Comment 10 Cheng-Chia Tseng 2013-09-15 19:20:43 EDT
Created attachment 798060 [details]
File: proc_pid_status
Comment 11 Cheng-Chia Tseng 2013-09-15 19:20:46 EDT
Created attachment 798061 [details]
File: var_log_messages
Comment 12 Michael Stahl 2013-09-16 06:59:29 EDT
will be fixed with f19 4.1.2.1 packages soon so i'll not add the patch
Comment 13 Caolan McNamara 2013-09-17 08:15:17 EDT
I'm going to do one last 4.1.1 update, so I'll bundle that in here
Comment 14 Fedora Update System 2013-09-17 15:05:47 EDT
libreoffice-4.1.1.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.1.2-5.fc19
Comment 15 Fedora Update System 2013-09-18 09:03:26 EDT
Package libreoffice-4.1.1.2-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.1.2-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17011/libreoffice-4.1.1.2-5.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-09-20 12:27:50 EDT
libreoffice-4.1.1.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.